#include "COMMON.H"

static Screen This;

static void PlayMusic(void)
{
	sound(147);
	_delay(220);
	sound(110);
	_delay(220);
	sound(98);
	_delay(220);
	sound(73);
	_delay(220);
	sound(110);
	_delay(220);
	sound(73);
	_delay(440);
	nosound();
}

static void OnActivate()
{
	ShowMouse = false;
	FillRect(0, 0, 0, 320, 240);
	Blit(IMG_BOOT_BACKGROUND, 101, 100);
}

static void OnUpdate()
{
	PlayMusic();
	_delay(400);
	Quit();
}

static void OnKeyDown(short key)
{
	(void)key;
}

static void OnMouseDown()
{
}

static void OnMouseUp()
{
}

static void DrawDragContent()
{
}

Screen *InitShutdownScreen(void)
{
	This.OnActivate = OnActivate;
	This.OnUpdate = OnUpdate;
	This.OnKeyDown = OnKeyDown;
	This.OnMouseDown = OnMouseDown;
	This.OnMouseUp = OnMouseUp;
	This.DrawDragContent = DrawDragContent;
	return &This;
}
